=== debian/changelog ===
gmsh (2.12.0+dfsg1-2ubuntu2) yakkety; urgency=medium

  * Rebuild against libgl2ps1.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 31 May 2016 12:36:48 +0200

gmsh (2.12.0+dfsg1-2ubuntu1) yakkety; urgency=medium

  * Merge with Debian unstable, remaining changes:
    + Enable mpi on armhf.

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 15 May 2016 05:11:17 +0200

gmsh (2.12.0+dfsg1-2) unstable; urgency=medium

  * [77f2519] Fix the name of libmpi in python wrapper.
  * [57bbc1c] Set version number for libgmsh-dev in B+R to 2.9.3.
              (Closes: #816563)
  * [cff2eb8] Set Standards-Version to 3.9.8. No changes.

 -- Anton Gladky <gladk@debian.org>  Fri, 22 Apr 2016 23:40:57 +0200

gmsh (2.12.0+dfsg1-1) unstable; urgency=medium

  * [744938d] Enable dynamic linkage of shared libgmsh to gmsh-executable.
  * [76e8a63] Drop one of java-samples (need to be updated by upstream).
  * [c54a2cc] Replace swig2.0 by swig. (Closes: #816997)
  * [8811d12] Refresh patches.
  * [cdc6dce] Fix compilation of java-wrapper.
  * [19c5864] Fix pdf-generation.
  * [494f444] Imported Upstream version 2.12.0+dfsg1
  * [54b562e] Apply cme fix dpkg.
  * [270a302] Add Breaks/Replaces for libjava-gmsh2. (Closes: #816563)

 -- Anton Gladky <gladk@debian.org>  Mon, 21 Mar 2016 22:59:52 +0100

gmsh (2.11.0+dfsg1-2) unstable; urgency=medium

  * [c596f2b] Fix narrow conversion error with GCC-6. (Closes: #811792)

 -- Anton Gladky <gladk@debian.org>  Sun, 31 Jan 2016 00:22:27 +0100

gmsh (2.10.1+dfsg1-1ubuntu5) yakkety; urgency=medium

  * No-change rebuild for libpng soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 23 Apr 2016 00:07:33 +0000
