=== Mesh/CMakeLists.txt ===
--- 
+++ 
@@ -30,7 +30,7 @@
     BackgroundMeshManager.cpp 
     pointInsertionRTreeTools.cpp 
     pointInsertion.cpp 
-    qualityMeasures.cpp 
+    qualityMeasures.cpp qualityMeasuresJacobian.cpp
     BoundaryLayers.cpp 
     BDS.cpp 
     HighOrder.cpp
