=== debian/changelog ===
gmsh (2.13.1+dfsg1-1build1) zesty; urgency=medium

  * No-change rebuild against libopenmpi2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 22 Oct 2016 01:30:57 +0000

gmsh (2.13.1+dfsg1-1) unstable; urgency=medium

  * [28f4474] d/copyright.
  * [e5df2d8] Imported Upstream version 2.13.1+dfsg1
  * [ca54124] Update/refresh patches.
  * [2773007] Enable MPI on arm* and mips*. (Closes: #824541)
  * [37117dd] Replace OMPI_MCA_orte_rsh_agent by OMPI_MCA_plm_rsh_agent.
              Thanks Graham.

 -- Anton Gladky <gladk@debian.org>  Thu, 11 Aug 2016 21:01:34 +0200
